package com.ecnu.platform.port

import com.ecnu.alg.pojo.port.inputs.AlgBollard
import com.three.common.vo.PageResult
import com.three.data_api.dm.annos.BizApiMethod
import com.three.data_api.dm.annos.Doc4MethodRes
import com.three.data_api.dm.constants.ThreeConstant
import com.three.data_api.dm.entity.AuqResult
import com.three.redis.utils.RedisUtil
import org.springframework.beans.factory.annotation.Autowired

class BollardService {

    public static final String AlgBollardKey = "port:AlgBollard:"

    @Autowired
    private RedisUtil redisUtil;

    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "查询缆桩信息")
    @Doc4MethodRes(key = "result", desc = "缆桩信息", refClasses = AlgBollard.class)
    AuqResult query(Map<String, Object> map) throws Exception {
        List<AlgBollard> algBollardList = redisUtil.getByPrefix(AlgBollardKey + "*") as List<AlgBollard>
        AuqResult auqResult = new AuqResult();
        PageResult pageResult = new PageResult();
        pageResult.setData(algBollardList)
        auqResult.setResult(pageResult)
        return auqResult
    }
}
